Package Details: onivim2-git 1527.b6e238811-1

Git Clone URL: https://aur.archlinux.org/onivim2-git.git (read-only, click to copy)
Package Base: onivim2-git
Description: Native, lightweight modal code editor
Upstream URL: https://github.com/onivim/oni2
Licenses: custom:OutrunLabsEULA
Conflicts: onivim2
Provides: onivim2
Submitter: freswa
Maintainer: freswa
Last Packager: freswa
Votes: 6
Popularity: 0.47
First Submitted: 2019-10-21 14:29
Last Updated: 2020-09-24 19:29

Latest Comments

« First ‹ Previous 1 2 3 Next › Last »

freswa commented on 2020-03-25 14:07

Build works fine in clean root for me.

SolarAquarion commented on 2020-03-10 04:24

add node-gyp and i guess build it in a chroot with the "--bind /dev/fuse"

SolarAquarion commented on 2020-03-09 02:10

it seems clang is a makedepend now. also python

KingLouie commented on 2020-02-26 12:46

There are two deps missing 1. nasm -> needed by revery 2. python2 -> needed by reason-skia

glennsl commented on 2019-12-14 19:52

FYI: node 13 breaks the latest release of esy (0.5.8) and hence also this package. It can be fixed by installing esy nightly with npm install -g @esy-nightly/esy. See the esy issue: https://github.com/esy/esy/issues/1010

SolarAquarion commented on 2019-12-06 20:03

"This script is no longer used; run node install-node-deps.js from the root instead!"

use the script from root instead of the one from node

ifreund commented on 2019-11-12 22:50

Thanks @freswa, that was really quick!

freswa commented on 2019-11-12 22:48

@ifreund Should be fixed now. Upstream changed the build instructions a few commits ago. Thanks for reporting :)

ifreund commented on 2019-11-12 22:27

Hey @freswa, I'm getting a build error: https://gist.github.com/ifreund/bd5026e3bfe999ceceae65eabe9e66df

If I clone and build oni2 directly it builds without issue, so I assume it's something to do with the PKGBUILD but I can't tell what

Would appreciate if you could look into it

Baitinq commented on 2019-10-30 00:06

@freswa nvm, it installed succesfully but it doesnt actually launch. The Oni2 executable in /usr/bin is a broken symlink: Oni2: broken symbolic link to /home/baitinq/.cache/yay/onivim2-git/pkg/onivim2-git/opt/onivim2/AppRun